## kphotoalbum 6.0.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2007 Gustavo P. Boiko <gustavo.boiko@kdemail.net>
# SPDX-FileCopyrightText: 2007-2008 Laurent Montel <montel@kde.org>
# SPDX-FileCopyrightText: 2007-2010 Tuomas Suutari <tuomas@nepnep.net>
# SPDX-FileCopyrightText: 2007-2023 Jesper K. Pedersen <blackie@kde.org>
# SPDX-FileCopyrightText: 2008, 2013-2014, 2016 Pino Toscano <pino@kde.org>
# SPDX-FileCopyrightText: 2008-2009 Henner Zeller <h.zeller@acm.org>
# SPDX-FileCopyrightText: 2008-2009 Jan Kundrát <jkt@flaska.net>
# SPDX-FileCopyrightText: 2009 Hassan Ibraheem <hasan.ibraheem@gmail.com>
# SPDX-FileCopyrightText: 2010, 2012 Miika Turkia <miika.turkia@gmail.com>
# SPDX-FileCopyrightText: 2010, 2015, 2019 David Faure <faure@kde.org>
# SPDX-FileCopyrightText: 2012 Albert Astals Cid <tsdgeos@terra.es>
# SPDX-FileCopyrightText: 2012-2013 Andreas Neustifter <andreas.neustifter@gmail.com>
# SPDX-FileCopyrightText: 2014 David Edmundson <kde@davidedmundson.co.uk>
# SPDX-FileCopyrightText: 2016 Christoph Feck <cfeck@kde.org>
# SPDX-FileCopyrightText: 2016 Luigi Toscano <luigi.toscano@tiscali.it>
# SPDX-FileCopyrightText: 2016 Michael Palimaka <kensington@gentoo.org>
# SPDX-FileCopyrightText: 2017 Ben Cooksley <bcooksley@kde.org>
# SPDX-FileCopyrightText: 2018, 2020 Robert Krawitz <rlk@alum.mit.edu>
# SPDX-FileCopyrightText: 2020 Wes Hardaker <kpa@capturedonearth.com>
# SPDX-FileCopyrightText: 2012-2023 Johannes Zarl-Zierl <johannes@zarl-zierl.at>
# SPDX-FileCopyrightText: 2014-2025 Tobias Leupold <tl@stonemx.de>
#
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.18.0)
project(kphotoalbum LANGUAGES CXX VERSION 6.0.1)

# set minimum versions here:
set(MINIMUM_KF6_VERSION 6.0.0)
set(MINIMUM_QT6_VERSION_MAJOR 6)
set(MINIMUM_QT6_VERSION_MINOR 0)
set(MINIMUM_QT6_VERSION_PATCH 0)
set(MINIMUM_QT6_VERSION "${MINIMUM_QT6_VERSION_MAJOR}.${MINIMUM_QT6_VERSION_MINOR}.${MINIMUM_QT6_VERSION_PATCH}")
math(EXPR MINIMUM_QT6_VERSION_HEX "${MINIMUM_QT6_VERSION_MAJOR} << 24 | ${MINIMUM_QT6_VERSION_MINOR} << 16 | ${MINIMUM_QT6_VERSION_PATCH}" OUTPUT_FORMAT HEXADECIMAL)
set(KDE_COMPILERSETTINGS_LEVEL 6.0)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_AUTOUIC ON)

# provide drop-down menu for build-type in cmake-gui:
set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS ";Debug;Release;RelWithDebInfo;MinSizeRel")

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

find_package(ECM ${MINIMUM_KF6_VERSION} REQUIRED NO_MODULE)
list(APPEND CMAKE_MODULE_PATH "${ECM_MODULE_PATH}")

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

# enable exceptions:
kde_enable_exceptions()

file(GLOB_RECURSE PRE_COMMIT_HOOKS ${CMAKE_SOURCE_DIR}/dev/githooks/pre-commit.d/*)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT CUSTOM_SCRIPTS ${PRE_COMMIT_HOOKS})

add_definitions(
    -DQT_DISABLE_DEPRECATED_BEFORE=${MINIMUM_QT6_VERSION_HEX}
    )

########### dependencies  ###############

find_package(Qt6 ${MINIMUM_QT6_VERSION} REQUIRED COMPONENTS Core Sql Xml Widgets DBus Test)
find_package(Phonon4Qt6)
find_package(LIBVLC)
find_package(KF6 ${MINIMUM_KF6_VERSION} REQUIRED COMPONENTS Archive Completion Config CoreAddons I18n IconThemes JobWidgets KIO TextWidgets XmlGui WidgetsAddons)

find_package(JPEG REQUIRED)
if(JPEG_FOUND)
    include_directories("${JPEG_INCLUDE_DIR}")
endif()

find_package(KF6Purpose)
set_package_properties(KF6Purpose
    PROPERTIES
    TYPE RECOMMENDED
    PURPOSE "Enables integration with KDE Purpose plugins, which provide image sharing and similar functionality."
    )

find_package(KDcrawQt6)
set_package_properties(KDcrawQt6
    PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Enables RAW image support"
    )
set(HAVE_KDCRAW ${KDcrawQt6_FOUND})

find_package(Marble 24.11.70)
set_package_properties(Marble
    PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Enables support for geographic map location using embedded GPS information."
    )
set(HAVE_MARBLE ${Marble_FOUND})

if(NOT Phonon4Qt6_FOUND AND NOT LIBVLC_FOUND)
    message(FATAL_ERROR "A video backend must be provided. CMake failed to find any of Phonon and VLC")
endif()

set(libdatebar_SRCS
    "${CMAKE_CURRENT_SOURCE_DIR}/DateBar/documentation.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/DateBar/DateBarWidget.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/DateBar/DateBarWidget.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/DateBar/ViewHandler.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/DateBar/ViewHandler.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/DateBar/MouseHandler.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/DateBar/MouseHandler.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/DateBar/MouseHandler.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/DateBar/MouseHandler.h"
    )

set(libSettings_SRCS
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/documentation.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/SettingsDialog.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/SettingsDialog.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/ViewerSizeConfig.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/ViewerSizeConfig.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/CategoryItem.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/CategoryItem.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/CategoryPage.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/CategoryPage.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/TagGroupsPage.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/TagGroupsPage.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/GeneralPage.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/GeneralPage.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/FileVersionDetectionPage.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/FileVersionDetectionPage.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/ThumbnailsPage.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/ThumbnailsPage.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/ViewerPage.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/ViewerPage.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/DatabaseBackendPage.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/DatabaseBackendPage.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/UntaggedGroupBox.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/UntaggedGroupBox.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/CategoriesGroupsWidget.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/CategoriesGroupsWidget.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/BirthdayPage.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/BirthdayPage.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/DateTableWidgetItem.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/DateTableWidgetItem.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/Logging.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/Logging.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/VideoPlayerSelectorDialog.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/VideoPlayerSelectorDialog.h"
    )

set(libThumbnailView_SRCS
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/documentation.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/FilterWidget.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/FilterWidget.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailRequest.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailRequest.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailToolTip.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailToolTip.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailWidget.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailWidget.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/GridResizeInteraction.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/GridResizeInteraction.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/GridResizeSlider.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/GridResizeSlider.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/SelectionInteraction.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/SelectionInteraction.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/MouseTrackingInteraction.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/MouseTrackingInteraction.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/CellGeometry.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/CellGeometry.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailModel.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailModel.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailFacade.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailFacade.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailComponent.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailComponent.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/KeyboardEventHandler.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/KeyboardEventHandler.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailDND.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailDND.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/Delegate.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/Delegate.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/SelectionMaintainer.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/SelectionMaintainer.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/VideoThumbnailCycler.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/VideoThumbnailCycler.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/Logging.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/Logging.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/MouseInteraction.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/MouseInteraction.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailFactory.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailFactory.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/enums.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/enums.h"
    )

set(libPlugins_SRCS
    "${CMAKE_CURRENT_SOURCE_DIR}/Plugins/documentation.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Plugins/Logging.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Plugins/Logging.h"
    )
if(KF5Purpose_FOUND)
    set(libPlugins_SRCS ${libPlugins_SRCS}
        "${CMAKE_CURRENT_SOURCE_DIR}/Plugins/PurposeMenu.cpp"
        "${CMAKE_CURRENT_SOURCE_DIR}/Plugins/PurposeMenu.h"
        )
endif()

set(libViewer_SRCS
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/documentation.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/ViewerWidget.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/ViewerWidget.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/ImageDisplay.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/ImageDisplay.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/ViewHandler.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/ViewHandler.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/TransientDisplay.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/TransientDisplay.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/InfoBox.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/InfoBox.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/CategoryImageConfig.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/CategoryImageConfig.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/AbstractDisplay.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/AbstractDisplay.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VideoDisplay.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VideoDisplay.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/TextDisplay.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/TextDisplay.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/InfoBoxResizer.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/InfoBoxResizer.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VisibleOptionsMenu.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VisibleOptionsMenu.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VideoShooter.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VideoShooter.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/TaggedArea.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/TaggedArea.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/Logging.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/Logging.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VideoToolBar.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VideoToolBar.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/Slider.cpp"

=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2009 Burkhard Lück <lueck@hube-lueck.de>
# SPDX-FileCopyrightText: 2016, 2020 Johannes Zarl-Zierl <johannes@zarl-zierl.at>
# SPDX-FileCopyrightText: 2020 Luigi Toscano <luigi.toscano@tiscali.it>
# SPDX-FileCopyrightText: 2022 Johannes Zarl-Zierl <johannes@zarl-zierl.at>
# SPDX-FileCopyrightText: 2024 Tobias Leupold <tl at stonemx dot de>
#
# SPDX-License-Identifier: BSD-3-Clause

find_package(KF6 REQUIRED DocTools)
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION "${KDE_INSTALL_DOCBUNDLEDIR}/en" SUBDIR kphotoalbum)

# vi:expandtab:tabstop=4 shiftwidth=4:

=== themes/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2007 Laurent Montel <montel@kde.org>
# SPDX-FileCopyrightText: 2007, 2009 Jesper K. Pedersen <blackie@kde.org>
# SPDX-FileCopyrightText: 2009 Miika Turkia <miika.turkia@gmail.com>
#
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory( blue )
add_subdirectory( rounded )
add_subdirectory( grey )
add_subdirectory( dark )
add_subdirectory( darkJS )
add_subdirectory( picBelow )

=== lib/kpaexif/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Johannes Zarl-Zierl <johannes@zarl-zierl.at>
# SPDX-FileCopyrightText: 2024 Tobias Leupold <tl at stonemx dot de>
#
# SPDX-License-Identifier: BSD-3-Clause

# The library is defined in the parent directory, this file only defines test cases.

include(ECMAddTests)
ecm_add_test(
    TestExifDatabase.cpp
    TEST_NAME TestExifDatabase
    LINK_LIBRARIES Qt6::Core Qt6::Test KPA::Exif
    )
# vi:expandtab:tabstop=4 shiftwidth=4:

=== themes/darkJS/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2009-2010 Miika Turkia <miika.turkia@gmail.com>
# SPDX-FileCopyrightText: 2016, 2020 Johannes Zarl-Zierl <johannes@zarl-zierl.at>
#
# SPDX-License-Identifier: BSD-3-Clause

install(
    FILES
    download.png
    slideshow.gif
    slideshow2.gif
    arrow-left.png
    arrow-left2.png
    arrow-right.png
    arrow-right2.png
    close.png
    imagepage.html
    kphotoalbum.theme
    mainpage.html
    navigation.js
    display.js
    style.css
    ie.css
    DESTINATION "${KDE_INSTALL_DATADIR}/kphotoalbum/themes/darkJS"
    )

# vi:expandtab:tabstop=4 shiftwidth=4:

=== debian/changelog ===
kphotoalbum (6.0.1-4) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Backport upstream commits:
    - Fix potential crash with corrupted database file. [8230d780]
    - Fix random crash if DateBarWidget isn't properly initialized. [9aa361db]
    (kde#504491)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 22 Jul 2025 08:44:45 +0200

kphotoalbum (6.0.1-3) unstable; urgency=medium

  * Team upload
  * d/rules: Don't run tests on 32-bit arches / s390x (Closes: #1099092)

 -- Matthias Geiger <werdahias@debian.org>  Wed, 05 Mar 2025 15:53:01 +0100

kphotoalbum (6.0.1-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Matthias Geiger <werdahias@debian.org>  Wed, 19 Feb 2025 15:38:49 +0100

kphotoalbum (6.0.1-1) experimental; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (6.0.1).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Build with hardening=+all build hardening flag.
  * Use new mail address for the Extras Team.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 19 Jan 2025 18:02:50 +0100

=== debian/control ===
Source: kphotoalbum
Section: graphics
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.18.0~),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libexiv2-dev (>= 0.27~),
               libjpeg-dev,
               libkf6archive-dev (>= 6.0.0~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6doctools-dev,
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6jobwidgets-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6purpose-dev,
               libkf6textwidgets-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libmarble-dev (>= 4:24.11.70~),
               libphonon4qt6-dev,
               libqt6sql6-sqlite <!nocheck>,
               pkg-kde-tools (>= 0.15.16),
               pkgconf,
               qt6-base-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://kphotoalbum.org
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum.git

Package: kphotoalbum
Architecture: any
Depends: libqt6sql6-sqlite, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends},
Recommends: ffmpeg, khelpcenter,
Description: tool for indexing, searching and viewing images by keywords for KDE
 KPhotoAlbum lets you index, search, group and view images by keywords, date,
 locations and persons. It provides a quick and elegant way to lookup groups of
 images when you have thousands of pictures on your hard disk.
 .
 The information associated with each photo is stored in an XML file. Together
 with its keywords, KPhotoAlbum stores each picture's MD5 sum, so it will
 recognize them even if you move them to another directory. KPhotoAlbum can
 also create HTML galleries with the images you select.
 .
 KPhotoAlbum can also make use of the KIPI image handling plugins to extend its
 capabilities. The kipi-plugins package contains many useful extensions. Among
 others, it contains extensions for photo manipulation, importing, exporting
 and batch processing.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# tests fail on 32-bit / BE
testsuite_failing_archs := armel armhf i386 s390x
ifneq (,$(filter $(DEB_HOST_ARCH),$(testsuite_failing_archs)))
  fail_param := || true
endif

%:
	dh $@ --with kf5

execute_before_dh_auto_build:
	# force generation of version.h, to avoid races later on
	dh_auto_build --no-parallel -- UpdateVersion

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --buildsystem=kf6 $(fail_param)

## kphotoalbum 6.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,19 +22,19 @@
 #
 # SPDX-License-Identifier: BSD-3-Clause
 
-cmake_minimum_required(VERSION 3.18.0)
-project(kphotoalbum LANGUAGES CXX VERSION 6.0.1)
+cmake_minimum_required(VERSION 3.30.0)
+project(kphotoalbum LANGUAGES CXX VERSION 6.1.0)
 
 # set minimum versions here:
 set(MINIMUM_KF6_VERSION 6.0.0)
 set(MINIMUM_QT6_VERSION_MAJOR 6)
-set(MINIMUM_QT6_VERSION_MINOR 0)
+set(MINIMUM_QT6_VERSION_MINOR 6)
 set(MINIMUM_QT6_VERSION_PATCH 0)
 set(MINIMUM_QT6_VERSION "${MINIMUM_QT6_VERSION_MAJOR}.${MINIMUM_QT6_VERSION_MINOR}.${MINIMUM_QT6_VERSION_PATCH}")
 math(EXPR MINIMUM_QT6_VERSION_HEX "${MINIMUM_QT6_VERSION_MAJOR} << 24 | ${MINIMUM_QT6_VERSION_MINOR} << 16 | ${MINIMUM_QT6_VERSION_PATCH}" OUTPUT_FORMAT HEXADECIMAL)
 set(KDE_COMPILERSETTINGS_LEVEL 6.0)
 
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_AUTOUIC ON)
 
@@ -66,7 +66,7 @@
 find_package(Qt6 ${MINIMUM_QT6_VERSION} REQUIRED COMPONENTS Core Sql Xml Widgets DBus Test)
 find_package(Phonon4Qt6)
 find_package(LIBVLC)
-find_package(KF6 ${MINIMUM_KF6_VERSION} REQUIRED COMPONENTS Archive Completion Config CoreAddons I18n IconThemes JobWidgets KIO TextWidgets XmlGui WidgetsAddons)
+find_package(KF6 ${MINIMUM_KF6_VERSION} REQUIRED COMPONENTS Archive Completion Config CoreAddons I18n IconThemes JobWidgets KIO TextWidgets XmlGui WidgetsAddons ColorScheme DocTools)
 
 find_package(JPEG REQUIRED)
 if(JPEG_FOUND)
@@ -199,7 +199,7 @@
     "${CMAKE_CURRENT_SOURCE_DIR}/Plugins/Logging.cpp"
     "${CMAKE_CURRENT_SOURCE_DIR}/Plugins/Logging.h"
     )
-if(KF5Purpose_FOUND)
+if(KF6Purpose_FOUND)
     set(libPlugins_SRCS ${libPlugins_SRCS}
         "${CMAKE_CURRENT_SOURCE_DIR}/Plugins/PurposeMenu.cpp"
         "${CMAKE_CURRENT_SOURCE_DIR}/Plugins/PurposeMenu.h"
@@ -238,4 +238,3 @@
     "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/Logging.h"
     "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VideoToolBar.cpp"
     "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VideoToolBar.h"
-    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/Slider.cpp"

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,6 @@
 #
 # SPDX-License-Identifier: BSD-3-Clause
 
-find_package(KF6 REQUIRED DocTools)
 kdoctools_create_handbook(index.docbook INSTALL_DESTINATION "${KDE_INSTALL_DOCBUNDLEDIR}/en" SUBDIR kphotoalbum)
 
 # vi:expandtab:tabstop=4 shiftwidth=4:

=== icons/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2007 Jesper K. Pedersen <blackie@kde.org>
# SPDX-FileCopyrightText: 2007 Laurent Montel <montel@kde.org>
# SPDX-FileCopyrightText: 2016, 2020 Johannes Zarl-Zierl <johannes@zarl-zierl.at>
# SPDX-FileCopyrightText: 2020 Pino Toscano <pino@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

# Note: Application icons should always be installed by the application itself:
# https://specifications.freedesktop.org/icon-theme-spec/icon-theme-spec-latest.html#install_icons

include(ECMInstallIcons)
add_subdirectory(global)

# vi:expandtab:tabstop=4 shiftwidth=4:

=== images/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2007 Jesper K. Pedersen <blackie@kde.org>
# SPDX-FileCopyrightText: 2007 Laurent Montel <montel@kde.org>
# SPDX-FileCopyrightText: 2016, 2020 Johannes Zarl-Zierl <johannes@zarl-zierl.at>
# SPDX-FileCopyrightText: 2020 Tobias Leupold <tl at stonemx dot de>
#
# SPDX-License-Identifier: BSD-3-Clause

install(
    FILES
    search.jpg
    splash.png
    splash-large.png
    pin.png
    DESTINATION "${KDE_INSTALL_DATADIR}/kphotoalbum/pics"
    )

# vi:expandtab:tabstop=4 shiftwidth=4:

=== kpa-thumbnailtool/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Johannes Zarl-Zierl <johannes@zarl-zierl.at>
# SPDX-FileCopyrightText: 2024 Tobias Leupold <tl at stonemx dot de>
#
# SPDX-License-Identifier: BSD-3-Clause

add_executable(kpa-thumbnailtool
    main.cpp
    Logging.cpp
    Logging.h
    ThumbnailCacheConverter.cpp
    ThumbnailCacheConverter.h
    )
target_link_libraries(kpa-thumbnailtool PRIVATE
    KPA::Thumbnails
    KF6::CoreAddons
    )

install(TARGETS kpa-thumbnailtool ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

include(ECMAddTests)
ecm_add_test(
    TestThumbnailCacheConverter.h
    TestThumbnailCacheConverter.cpp
    ThumbnailCacheConverter.cpp
    ThumbnailCacheConverter.h
    TEST_NAME ThumbnailCacheConverter
    LINK_LIBRARIES Qt6::Core Qt6::Test KF6::I18n
    )


# vi:expandtab:tabstop=4 shiftwidth=4:

=== lib/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021-2024 Johannes Zarl-Zierl <johannes@zarl-zierl.at>
# SPDX-FileCopyrightText: 2024 Tobias Leupold <tl at stonemx dot de>
#
# SPDX-License-Identifier: BSD-3-Clause

################################################################################
### KPA::Base
add_custom_target(
    UpdateVersion ALL
    COMMAND "${CMAKE_COMMAND}"
    "-DBASE_DIR=${kphotoalbum_SOURCE_DIR}" -DPROJECT_NAME=KPA -DPROJECT_VERSION="${kphotoalbum_VERSION}"
    "-DOUTPUT_DIR=${CMAKE_CURRENT_SOURCE_DIR}/kpabase"
    -DCMAKE_BUILD_TYPE="${CMAKE_BUILD_TYPE}" -P "${kphotoalbum_SOURCE_DIR}/cmake/modules/UpdateVersion.cmake"
    COMMENT "Updating version header."
    BYPRODUCTS "${CMAKE_CURRENT_SOURCE_DIR}/kpabase/version.h"
    )

find_package(KDcrawQt6)
set_package_properties(KDcrawQt6
    PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Enables RAW image support"
    )
set(HAVE_KDCRAW ${KF6KDcraw_FOUND})

configure_file(kpabase/config-kpa-kdcraw.h.in "${CMAKE_CURRENT_BINARY_DIR}/kpabase/config-kpa-kdcraw.h")
configure_file(kpabase/config-kpa-plugins.h.in "${CMAKE_CURRENT_BINARY_DIR}/kpabase/config-kpa-plugins.h")
configure_file(kpabase/config-kpa-marble.h.in "${CMAKE_CURRENT_BINARY_DIR}/kpabase/config-kpa-marble.h")
configure_file(kpabase/config-kpa-videobackends.h.in "${CMAKE_CURRENT_BINARY_DIR}/kpabase/config-kpa-videobackends.h")


add_library(kpabase
    "${CMAKE_CURRENT_BINARY_DIR}/kpabase/config-kpa-kdcraw.h"
    "${CMAKE_CURRENT_BINARY_DIR}/kpabase/config-kpa-plugins.h"
    "${CMAKE_CURRENT_BINARY_DIR}/kpabase/config-kpa-marble.h"
    kpabase/enums.cpp
    kpabase/enums.h
    kpabase/CrashSentinel.cpp
    kpabase/CrashSentinel.h
    kpabase/FileName.cpp
    kpabase/FileName.h
    kpabase/FileNameList.cpp
    kpabase/FileNameList.h
    kpabase/Logging.cpp
    kpabase/Logging.h
    kpabase/UIDelegate.cpp
    kpabase/UIDelegate.h
    kpabase/SettingsData.cpp
    kpabase/SettingsData.h
    kpabase/FileExtensions.cpp
    kpabase/FileExtensions.h
    kpabase/FileNameUtil.cpp
    kpabase/FileNameUtil.h
    kpabase/FileUtil.cpp
    kpabase/FileUtil.h
    kpabase/StringSet.cpp
    kpabase/StringSet.h
    kpabase/version.h
    kpabase/ImageUtil.cpp
    kpabase/ImageUtil.h
    )
add_library(KPA::Base ALIAS kpabase)
# FIXME(jzarl): once KPhotoAlbum uses internal libs, export public symbols instead:
set_target_properties(kpabase PROPERTIES CXX_VISIBILITY_PRESET default)

# see CMP0071
set_property(SOURCE kpabase/version.h PROPERTY SKIP_AUTOMOC ON)

target_link_libraries(kpabase
    PUBLIC
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::I18n
    Qt6::Core
    Qt6::Gui
    )
if(KDcrawQt6_FOUND)
    target_link_libraries(kpabase PRIVATE KDcrawQt6)
endif()

install(TARGETS kpabase ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

# unit tests:
add_subdirectory(kpabase)

################################################################################
### KPA::Thumbnails
add_library(kpathumbnails
    kpathumbnails/ThumbnailCache.cpp
    kpathumbnails/ThumbnailCache.h
    kpathumbnails/CacheFileInfo.cpp
    kpathumbnails/CacheFileInfo.h
    kpathumbnails/VideoThumbnailCache.cpp
    kpathumbnails/VideoThumbnailCache.h
    )
add_library(KPA::Thumbnails ALIAS kpathumbnails)
# FIXME(jzarl): once KPhotoAlbum uses internal libs, export public symbols instead:
set_target_properties(kpathumbnails PROPERTIES CXX_VISIBILITY_PRESET default)

target_link_libraries(kpathumbnails
    PUBLIC
    KPA::Base
    Qt6::Gui
    )

install(TARGETS kpathumbnails ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

# unit tests:
add_subdirectory(kpathumbnails)

################################################################################
### KPA::Exif
add_library(kpaexif
    kpaexif/Database.cpp
    kpaexif/Database.h
    kpaexif/SearchInfo.cpp
    kpaexif/SearchInfo.h
    kpaexif/Info.cpp
    kpaexif/Info.h
    kpaexif/DatabaseElement.cpp
    kpaexif/DatabaseElement.h
    )
add_library(KPA::Exif ALIAS kpaexif)
# FIXME(jzarl): once KPhotoAlbum uses internal libs, export public symbols instead:
set_target_properties(kpaexif PROPERTIES CXX_VISIBILITY_PRESET default)

find_package(exiv2 CONFIG REQUIRED)
# exiv2 0.28.1 moved exiv2lib into the Exiv2 namespace:
if(TARGET Exiv2::exiv2lib)
    set(EXIV2_LIBRARIES Exiv2::exiv2lib)
else()
    set(EXIV2_LIBRARIES exiv2lib)
endif()

target_link_libraries(kpaexif
    PRIVATE
    Qt6::Sql
    PUBLIC
    ${EXIV2_LIBRARIES} # TODO(jzarl): make this private if possible
    KPA::Base
    Qt6::Core
    )

install(TARGETS kpaexif ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

# unit tests:
add_subdirectory(kpaexif)

# vi:expandtab:tabstop=4 shiftwidth=4:

=== scripts/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2014, 2016-2018, 2020 Johannes Zarl-Zierl <johannes@zarl-zierl.at>
# SPDX-FileCopyrightText: 2020 Miika Turkia <miika.turkia@gmail.com>
#
# SPDX-License-Identifier: BSD-3-Clause

install( PROGRAMS org.kde.kphotoalbum.open-raw.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
install( PROGRAMS open-raw.pl kpa-backup.sh DESTINATION "${CMAKE_INSTALL_PREFIX}/bin" )

# vi:expandtab:tabstop=4 shiftwidth=4:

=== demo/CategoryImages/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2007 Jesper K. Pedersen <blackie@kde.org>
# SPDX-FileCopyrightText: 2016, 2020 Johannes Zarl-Zierl <johannes@zarl-zierl.at>
# SPDX-FileCopyrightText: 2020 Laurent Montel <montel@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

install(
    FILES
    Keywords-scenic.jpg
    Places-Grand_Canyon.jpg
    Places-Skagen.jpg
    People-Anne_Helene.jpg
    People-Blackie.jpg
    People-Donna.jpg
    People-Jesper.jpg
    People-Jim.jpg
    People-Spiff.jpg
    People-Wayne.jpg
    People-Pets.jpg
    DESTINATION "${KDE_INSTALL_DATADIR}/kphotoalbum/demo/CategoryImages"
    )

# vi:expandtab:tabstop=4 shiftwidth=4:

=== icons/global/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2016 Johannes Zarl-Zierl <johannes@zarl-zierl.at>
# SPDX-FileCopyrightText: 2020 Pino Toscano <pino@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

ecm_install_icons(
    ICONS
    16-actions-open-raw.png
    22-actions-open-raw.png
    48-actions-open-raw.png
    64-actions-open-raw.png
    16-apps-kphotoalbum.png
    22-apps-kphotoalbum.png
    32-apps-kphotoalbum.png
    48-apps-kphotoalbum.png
    64-apps-kphotoalbum.png
    sc-apps-kphotoalbum.svg
    DESTINATION
    ${KDE_INSTALL_ICONDIR}
    )
# vi:expandtab:tabstop=4 shiftwidth=4:

=== lib/kpabase/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Johannes Zarl-Zierl <johannes@zarl-zierl.at>
# SPDX-FileCopyrightText: 2024 Tobias Leupold <tl at stonemx dot de>
#
# SPDX-License-Identifier: BSD-3-Clause

# The library is defined in the parent directory, this file only defines test cases.

include(ECMAddTests)
ecm_add_test(
    TestFileName.cpp
    TEST_NAME TestFileName
    LINK_LIBRARIES Qt6::Core Qt6::Test KPA::Base
    )
ecm_add_test(
    TestFileNameUtil.cpp
    TEST_NAME TestFileNameUtil
    LINK_LIBRARIES Qt6::Core Qt6::Test KPA::Base
    )
# vi:expandtab:tabstop=4 shiftwidth=4:

=== lib/kpathumbnails/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Johannes Zarl-Zierl <johannes@zarl-zierl.at>
# SPDX-FileCopyrightText: 2024 Tobias Leupold <tl at stonemx dot de>
#
# SPDX-License-Identifier: BSD-3-Clause

# The library is defined in the parent directory, this file only defines test cases.

include(ECMAddTests)
ecm_add_test(
    TestThumbnailCache.cpp
    TEST_NAME TestThumbnailCache
    LINK_LIBRARIES Qt6::Core Qt6::Test KPA::Thumbnails
    )
# vi:expandtab:tabstop=4 shiftwidth=4:

=== themes/blue/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2007 Jesper K. Pedersen <blackie@kde.org>
# SPDX-FileCopyrightText: 2016, 2020 Johannes Zarl-Zierl <johannes@zarl-zierl.at>
# SPDX-FileCopyrightText: 2020 Laurent Montel <montel@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

install(
    FILES
    imagepage.html
    kphotoalbum.theme
    mainpage.css
    mainpage.html
    DESTINATION "${KDE_INSTALL_DATADIR}/kphotoalbum/themes/blue"
    )

# vi:expandtab:tabstop=4 shiftwidth=4:

=== debian/changelog ===
kphotoalbum (6.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_8230d780_Fix-potential-crash-with-corrupted-xml-file.patch:
      drop, backported from upstream
    - upstream_9aa361db_Fix-potential-crash-if-DateBarWidget-isn-t-[...].patch:
      drop, backported from upstream
  * Update build dependencies according to the upstream build system:
    - bump cmake to 3.30.0
    - add libkf6colorscheme-dev
    - set the common KF version for libkf6doctools-dev
  * Concatenate all the keys in debian/upstream/signing-key.asc.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Oct 2025 06:57:49 +0200

kphotoalbum (6.0.1-5) unstable; urgency=medium

  * Bump Standards-Version to 4.7.2, no changes required.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Modernize building:
    - add the dh-sequence-kf6 build dependency to use the kf6 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Add the libkdcrawqt6-dev build dependency to enable the support for RAW
    files.
  * Properly make the test suite as non-fatal on any big-endian or 32bit
    architecture.

 -- Pino Toscano <pino@debian.org>  Tue, 30 Sep 2025 18:34:27 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,19 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               cmake (>= 3.18.0~),
+               dh-sequence-kf6,
+               cmake (>= 3.30.0~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                libexiv2-dev (>= 0.27~),
                libjpeg-dev,
+               libkdcrawqt6-dev,
                libkf6archive-dev (>= 6.0.0~),
+               libkf6colorscheme-dev (>= 6.0.0~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
-               libkf6doctools-dev,
+               libkf6doctools-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
                libkf6iconthemes-dev (>= 6.0.0~),
                libkf6jobwidgets-dev (>= 6.0.0~),
@@ -25,13 +28,11 @@
                libmarble-dev (>= 4:24.11.70~),
                libphonon4qt6-dev,
                libqt6sql6-sqlite <!nocheck>,
-               pkg-kde-tools (>= 0.15.16),
                pkgconf,
                qt6-base-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://kphotoalbum.org
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# tests fail on 32-bit / BE
ifeq (32,$(DEB_HOST_ARCH_BITS))
  fail_param := || true
endif
ifeq (big,$(DEB_HOST_ARCH_ENDIAN))
  fail_param := || true
endif

%:
	dh $@

execute_before_dh_auto_build:
	# force generation of version.h, to avoid races later on
	dh_auto_build --no-parallel -- UpdateVersion

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test $(fail_param)

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/kphotoalbum/([\d\.]+)/kphotoalbum-([\d\.]+)\.tar\.xz

## kphotoalbum 6.1.0+p24.04+vstable+git20251019.0635

=== debian/changelog ===
kphotoalbum (6.1.0+p24.04+vstable+git20251019.0635-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:36:04 +0000

kphotoalbum (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 17:32:37 +0000

kphotoalbum (6.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Jan 2025 17:32:50 +0000

kphotoalbum (6.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 08 Dec 2024 17:33:19 +0000

kphotoalbum (5.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 17:35:08 +0000

kphotoalbum (5.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 26 Nov 2023 17:32:36 +0000

kphotoalbum (5.11.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 26 Mar 2023 17:32:21 +0000

## kphotoalbum 6.1.0+p24.04+vstable+git20251020.0042

=== debian/changelog ===
kphotoalbum (6.1.0+p24.04+vstable+git20251020.0042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:42:13 +0000

## kphotoalbum 6.1.0+p24.04+vstable+git20251021.0337

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
     TYPE OPTIONAL
     PURPOSE "Enables RAW image support"
     )
-set(HAVE_KDCRAW ${KF6KDcraw_FOUND})
+set(HAVE_KDCRAW ${KDcrawQt6_FOUND})
 
 configure_file(kpabase/config-kpa-kdcraw.h.in "${CMAKE_CURRENT_BINARY_DIR}/kpabase/config-kpa-kdcraw.h")
 configure_file(kpabase/config-kpa-plugins.h.in "${CMAKE_CURRENT_BINARY_DIR}/kpabase/config-kpa-plugins.h")

=== debian/changelog ===
kphotoalbum (6.1.0+p24.04+vstable+git20251021.0337-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:37:59 +0000

## kphotoalbum 6.1.0+p24.04+vstable+git20251031.1113

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2021-2024 Johannes Zarl-Zierl <johannes@zarl-zierl.at>
+# SPDX-FileCopyrightText: 2021 - 2025 Johannes Zarl-Zierl <johannes@zarl-zierl.at>
 # SPDX-FileCopyrightText: 2024 Tobias Leupold <tl at stonemx dot de>
 #
 # SPDX-License-Identifier: BSD-3-Clause
@@ -37,6 +37,8 @@
     kpabase/enums.h
     kpabase/CrashSentinel.cpp
     kpabase/CrashSentinel.h
+    kpabase/FastDir.cpp
+    kpabase/FastDir.h
     kpabase/FileName.cpp
     kpabase/FileName.h
     kpabase/FileNameList.cpp

=== debian/changelog ===
kphotoalbum (6.1.0+p24.04+vstable+git20251031.1113-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 11:13:45 +0000

## kphotoalbum 6.1.0+p24.04+vstable+git20260103.0020

=== CMakeLists.txt ===
--- 
+++ 
@@ -63,7 +63,7 @@
 
 ########### dependencies  ###############
 
-find_package(Qt6 ${MINIMUM_QT6_VERSION} REQUIRED COMPONENTS Core Sql Xml Widgets DBus Test)
+find_package(Qt6 ${MINIMUM_QT6_VERSION} REQUIRED COMPONENTS Core Sql Xml Widgets DBus Test Multimedia MultimediaWidgets)
 find_package(Phonon4Qt6)
 find_package(LIBVLC)
 find_package(KF6 ${MINIMUM_KF6_VERSION} REQUIRED COMPONENTS Archive Completion Config CoreAddons I18n IconThemes JobWidgets KIO TextWidgets XmlGui WidgetsAddons ColorScheme DocTools)
@@ -95,10 +95,6 @@
     PURPOSE "Enables support for geographic map location using embedded GPS information."
     )
 set(HAVE_MARBLE ${Marble_FOUND})
-
-if(NOT Phonon4Qt6_FOUND AND NOT LIBVLC_FOUND)
-    message(FATAL_ERROR "A video backend must be provided. CMake failed to find any of Phonon and VLC")
-endif()
 
 set(libdatebar_SRCS
     "${CMAKE_CURRENT_SOURCE_DIR}/DateBar/documentation.h"
@@ -238,3 +234,5 @@
     "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/Logging.h"
     "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VideoToolBar.cpp"
     "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VideoToolBar.h"
+    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/Slider.cpp"
+    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/Slider.h"

## kphotoalbum 6.1.0+p24.04+vstable+git20260203.0908

=== debian/changelog ===
kphotoalbum (6.1.0+p24.04+vstable+git20260203.0908-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 09:08:25 +0000

=== debian/control ===
Source: kphotoalbum
Section: graphics
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kjobwidgets-dev,
               kf6-ktextwidgets-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               kf6-purpose-dev,
               libexiv2-dev,
               libjpeg-dev,
               libkdcraw-dev,
               libmarble-dev,
               libvlc-dev,
               libvlccore-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-multimedia-dev,
               qt6-phonon-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://kphotoalbum.org
Vcs-Git: https://invent.kde.org/neon/extras/kphotoalbum.git
Vcs-Browser: https://invent.kde.org/neon/extras/kphotoalbum
Maintainer: Neon CI <neon@kde.org>

Package: kphotoalbum
Architecture: any
Depends: libqt5sql5-sqlite, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: ffmpeg
Description: tool for indexing, searching and viewing images by keywords for KDE
 KPhotoAlbum lets you index, search, group and view images by keywords, date,
 locations and persons. It provides a quick and elegant way to lookup groups of
 images when you have thousands of pictures on your hard disk.
 .
 The information associated with each photo is stored in an XML file. Together
 with its keywords, KPhotoAlbum stores each picture's MD5 sum, so it will
 recognize them even if you move them to another directory. KPhotoAlbum can
 also create HTML galleries with the images you select.
 .
 KPhotoAlbum can also make use of the KIPI image handling plugins to extend its
 capabilities. The kipi-plugins package contains many useful extensions. Among
 others, it contains extensions for photo manipulation, importing, exporting
 and batch processing.

## kphotoalbum 6.1.0+p24.04+vstable+git20260210.0122

=== Utilities/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2026 Randall Rude <rsquared42@proton.me>
#
# SPDX-License-Identifier: BSD-3-Clause

# This file only defines test cases.

# For DB/ImageDate.h:
include_directories(..)

include(ECMAddTests)

ecm_add_test(
   TestTimespan.cpp
   FastDateTime.cpp
   Timespan.cpp
   ../DB/ImageDate.cpp
   TEST_NAME TestTimespan
   LINK_LIBRARIES Qt6::Core Qt6::Test KPA::Base
   )

# vi:expandtab:tabstop=4 shiftwidth=4:

=== debian/changelog ===
kphotoalbum (6.1.0+p24.04+vstable+git20260210.0122-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 10 Feb 2026 01:23:05 +0000

## kphotoalbum 6.1.0+p24.04+vunstable+git20251009.1051

=== debian/changelog ===
kphotoalbum (6.1.0+p24.04+vunstable+git20251009.1051-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 09 Oct 2025 10:51:57 +0000

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,6 @@
                pkg-kde-tools-neon,
                pkgconf,
                qt6-base-dev,
-               qt6-multimedia-dev,
                qt6-phonon-dev,
                qt6-webengine-dev
 Standards-Version: 4.6.2

## kphotoalbum 6.1.0+p24.04+vunstable+git20251015.1828

=== debian/changelog ===
kphotoalbum (6.1.0+p24.04+vunstable+git20251015.1828-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 18:28:52 +0000

## kphotoalbum 6.1.0+p24.04+vunstable+git20251020.0017

=== debian/changelog ===
kphotoalbum (6.1.0+p24.04+vunstable+git20251020.0017-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:18:00 +0000

## kphotoalbum 6.1.0+p24.04+vunstable+git20251201.0015

=== debian/changelog ===
kphotoalbum (6.1.0+p24.04+vunstable+git20251201.0015-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 00:16:02 +0000

## kphotoalbum 6.1.0+p24.04+vunstable+git20251202.2242

=== CMakeLists.txt ===
--- 
+++ 
@@ -63,7 +63,7 @@
 
 ########### dependencies  ###############
 
-find_package(Qt6 ${MINIMUM_QT6_VERSION} REQUIRED COMPONENTS Core Sql Xml Widgets DBus Test Multimedia MultimediaWidgets)
+find_package(Qt6 ${MINIMUM_QT6_VERSION} REQUIRED COMPONENTS Core Sql Xml Widgets DBus Test)
 find_package(Phonon4Qt6)
 find_package(LIBVLC)
 find_package(KF6 ${MINIMUM_KF6_VERSION} REQUIRED COMPONENTS Archive Completion Config CoreAddons I18n IconThemes JobWidgets KIO TextWidgets XmlGui WidgetsAddons ColorScheme DocTools)
@@ -95,6 +95,10 @@
     PURPOSE "Enables support for geographic map location using embedded GPS information."
     )
 set(HAVE_MARBLE ${Marble_FOUND})
+
+if(NOT Phonon4Qt6_FOUND AND NOT LIBVLC_FOUND)
+    message(FATAL_ERROR "A video backend must be provided. CMake failed to find any of Phonon and VLC")
+endif()
 
 set(libdatebar_SRCS
     "${CMAKE_CURRENT_SOURCE_DIR}/DateBar/documentation.h"
@@ -234,5 +238,3 @@
     "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/Logging.h"
     "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VideoToolBar.cpp"
     "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VideoToolBar.h"
-    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/Slider.cpp"
-    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/Slider.h"

=== debian/changelog ===
kphotoalbum (6.1.0+p24.04+vunstable+git20251202.2242-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 22:43:01 +0000
